#ifndef __MATRIX_H__
#define __MATRIX_H__

#include "inertia.h"

void MatrixCopy(float *Source, float *Dest);
void InitMatrix(float *M);
void SetRotationMatrix(float *M, float xa, float ya, float za);
void SetScaleMatrix(float *M, float sx, float sy, float sz);
void MatrixMul(float *Result, float *A, float *B);
void MatrixOrthoNormalize(float *M);
void AxisRotate(float *M, float angle, float x, float y, float z);

#endif
