#ifndef __POOL_H__
#define __POOL_H__

#include <stdio.h>
#include <stdlib.h>
#include "types.h"

#define POOL_NODE_COUNT   32
#define POOL_NODE_MASK    (POOL_NODE_COUNT - 1)


Vertex   *GrabVertexFromPool();
Triangle *GrabPolygonFromPool();
void      ResetVertexPool();
void      ResetPolygonPool();
void      InitVertexPool();
void      InitPolygonPool();
void      FreePolygonPool();
void      FreeVertexPool();

#endif
